Loading...
Searching...
No Matches
Opm::BlackOilExtboParams< Scalar > Struct Template Reference

Struct holding the parameters for the BlackoilExtboModule class. More...

`#include <blackoilextboparams.hpp>`

## Public Types

using | TabulatedFunction = Tabulated1DFunction<Scalar>
using | Tabulated2DFunction = UniformXTabulated2DFunction<Scalar>

## Public Attributes

std::vector< Tabulated2DFunction > | X_
std::vector< Tabulated2DFunction > | Y_
std::vector< Tabulated2DFunction > | PBUB_RS_
std::vector< Tabulated2DFunction > | PBUB_RV_
std::vector< Tabulated2DFunction > | VISCO_
std::vector< Tabulated2DFunction > | VISCG_
std::vector< Tabulated2DFunction > | BO_
std::vector< Tabulated2DFunction > | BG_
std::vector< Tabulated2DFunction > | RS_
std::vector< Tabulated2DFunction > | RV_
std::vector< Scalar > | zReferenceDensity_
std::vector< Scalar > | zLim_
std::vector< TabulatedFunction > | oilCmp_
std::vector< TabulatedFunction > | gasCmp_

## Detailed Description

template<class Scalar>
struct Opm::BlackOilExtboParams< Scalar >

Struct holding the parameters for the BlackoilExtboModule class.

The documentation for this struct was generated from the following file:

- opm/models/blackoil/blackoilextboparams.hpp